Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ViewPluginsManager Class Reference

`#include <ViewPluginsManager.h>`

Collaboration diagram for tlp::ViewPluginsManager:

[legend]
List of all members.

## Detailed Description

Manager of view's plugins.

Class to manage view's plugins

## Public Member Functions

- void loadPlugins (PluginLoader *plug=0)
- void initViewPluginsList (MutableContainer< View * > &views)
- View * createView (const std::string &name)

## Static Public Member Functions

- static ViewPluginsManager & getInst ()

## Member Function Documentation

View* tlp::ViewPluginsManager::createView | ( | const std::string & | name | ) |

Create view with given name

Returns:
  The view

static ViewPluginsManager& tlp::ViewPluginsManager::getInst | ( |  | ) | `[inline, static]`

| Singleton system

void tlp::ViewPluginsManager::initViewPluginsList | ( | MutableContainer< View * > & | views | ) |

| Get available plugins list

void tlp::ViewPluginsManager::loadPlugins | ( | PluginLoader * | plug = `0` | ) |

Load all view's plugins available

Parameters:

  | plug | : Use this plugin loader

Tulip Software by LaBRI Visualization Team 2001 - 2010